<script context="module">
    export const prerender = true
</script>

<script>
    import { fly } from 'svelte/transition'
    import Button from '$components/Button.svelte'

    const heroInTransition = {
        duration: 400,
        x: 42
    }

    const sections = [
        { name: 'District', content: [''] },
        { name: 'Planet', content: [''] },
        {
            name: 'Researches',
            content: [
                'Research gives you the ability to unlock and upgrade units and buildings.',
                'To unlock researches you need elerium and research points.',
                'Research points are produced by your labs, are common to all of your districts and are not limited by a storage capacity.'
            ],
            image: '/illustrations/researchTree.png'
        },
        {
            name: 'Natural resources',
            content: [
                'Natural resources are field available when you create a district.',
                'They give a precious 25% bonus to your resource production buildings !',
                "Of course you can destroy them to place a building, but once it's done it's gone forever: you can't build a natural resource."
            ]
        },
        { name: 'Stargate', content: ['4 types of Stargates: red, yellow, orange & violet.'] },
        {
            name: 'Units',
            content: ['4 types of Units: Attack Ship, Defense Ship, Polyvalent Ship & speeder.'],
            image: '/illustrations/naturalBoost.png'
        },
        { name: 'Combat', content: [''] },
        {
            name: 'Factions',
            content: ['3 factions: the empire, the conglomerate and the federation.']
        },
        {
            name: 'Suggestions, bugs & supports',
            content: [
                'If you have any suggestions, bug reports or questions, send a mail to elerium@footeam.fr or use the issue tracker.'
            ],
            links: [
                { text: 'Issue tracker', url: 'https://gitlab.com/groups/FooTeam/elerium/-/issues' }
            ]
        }
    ]
</script>

<svelte:head>
    <title>Elerium - How to play</title>
</svelte:head>

<section>
    <div class="container">
        <h1>How to play Elerium?</h1>
        <p in:fly={{ ...heroInTransition, delay: 100 }}>
            Elerium is a free-to-play, browser-based, multiplayer real-time strategy video game
            where 3 factions are fighting for the control of the universe.
        </p>
        <br />
        <p in:fly={{ ...heroInTransition, delay: 200 }}>
            For now, it's in development and will be launched soon !
        </p>
        <p in:fly={{ ...heroInTransition, delay: 300 }}>
            Stay in touch, follow us on Twitter:
            <a href="https://twitter.com/footeam_fr">@footeam_fr</a>.
        </p>
    </div>
</section>

<section class="container" id="toc">
    <h2>Table of contents</h2>
    <ul>
        {#each sections as section}
            <li><a href="#{encodeURIComponent(section.name)}">{section.name}</a></li>
        {/each}
    </ul>
</section>

{#each sections as section}
    <article class="container" id={encodeURIComponent(section.name)}>
        <h2>{section.name}</h2>
        {#each section.content as p}
            <p>{p}</p>
        {/each}
        {#if section.links}
            <nav class="section-links">
                {#each section.links as link}
                    <Button href={link.url}>{link.text}</Button>
                {/each}
            </nav>
        {/if}
        {#if section.image}
            <img src={section.image} alt="{section.content} illustration" />
        {/if}
    </article>
{/each}

<style lang="postcss">
    section {
        @apply py-16;

        &:first-of-type {
            @apply text-white pt-44 pb-24 bg-gradient-to-br from-midnight-900 to-midnight-600;
            clip-path: polygon(100% 0, 100% 94%, 64% 100%, 0 96%, 0 0);
        }
    }

    article.container {
        @apply pb-0 mb-12;
    }

    h1 {
        @apply text-6xl font-display uppercase tracking-wider leading-none;
    }

    h2 {
        @apply text-4xl bg-clip-text text-transparent bg-gradient-to-r from-pink-500 via-purple-500 to-indigo-400 font-display uppercase leading-none mb-2;
    }

    a {
        @apply underline transition-colors duration-200 ease-out;

        &:hover {
            @apply text-pink-700;
        }
    }
    p {
        @apply w-full text-lg leading-relaxed tracking-wide;
    }
    .section-links {
        max-width: 200px;
    }
</style>
